---
lang: en
title: 'API docs: filter.filtertemplate'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/filter
permalink: /doc/en/lb4/apidocs.filter.filtertemplate.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/filter](./filter.md) &gt; [filterTemplate](./filter.filtertemplate.md)

## filterTemplate() function

**Signature:**

```typescript
export declare function filterTemplate(strings: TemplateStringsArray, ...keys: any[]): (ctx: AnyObject) => any;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  strings | TemplateStringsArray |  |
|  keys | any\[\] |  |

**Returns:**

(ctx: AnyObject) =&gt; any


